#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# =============================================================================
# 1C17 Activité 4                                                      CONFIRME
# Réaliser : Représentation d'un signal sinusoïdal
# =============================================================================

import numpy  as np
from matplotlib import pyplot as plt
from math import pi

# =============================================================================
# Question 2 a
# =============================================================================
"""
Compléter les lignes 30 à 42 selon les consignes puis exécuter le programme 
afin de représenter le signal des données 1.

Utiliser les instructions du code pour définir une fonction 'signal' retournant
la représentation graphique du signal et permettant à l'utilisateur de choisir
dans les paramètres son amplitude A (en m), sa période T (en s) et la durée
tmax (en s) de représentation. Cette fonction remplacera les lignes 26 à 42.
"""

A = float(input('A = '))        # Amplitude en m
T = float(input('T = '))        # Période en s
tmax = float(input('tmax = '))  # Durée maximale en s

t = np.linspace(... , ... ,256) # Domaine des abscisses en s de 0 à tmax
y = ...A compléter...           # Domaine des ordonnées en m équation y=f(t)

...A compléter...          # Label de l'axe des abscisses
...A compléter...          # Label de l'axe des ordonnées
...A compléter...          # Bornes de l'axe des abscisses
...A compléter...          # Bornes de l'axe des ordonnées
...A compléter...          # Affiche une gille

...A compléter...          # Trace la courbe y=f(t) en rouge

...A compléter...          # Affiche la figure

# =============================================================================
# Question 2 b
# =============================================================================
"""
Compléter les lignes 52 à 62 puis exécuter le programme afin d'illustrer
l'influence de la période T et de l'amplitude A sur la représentation du signal.
"""
"""
# Influence de l'amplitude
plt.subplot(2,1,1)
plt.title('Influence de l\'amplitude')
for i in ...A compléter...:
    signal(...A compléter...)

# Influence de la période
plt.subplot(2,1,2)
plt.title('Influence de la période')
for i in ...A compléter...:
    signal(...A compléter...)
"""
# =============================================================================
# Pour que les courbes illustrant l'influence de l'amplitude et de la période
# s'affichent sur une fenêtre unique de visualisation, paramétrer le logiciel
# en mode automatique en entrant la commande magique  %matplotlib auto   dans
# la console avant d'exécuter le programme.
# =============================================================================